/*------begin 03月31号 郭恩洲 新创建表 sys_mobile_banner*/
DROP TABLE IF EXISTS sys_mobile_banner;
CREATE TABLE sys_mobile_banner(
    id INT(11) NOT NULL AUTO_INCREMENT  COMMENT '主键ID' ,
    tenant_id INT(11) NOT NULL   COMMENT '租户ID' ,
    open_not INT(1)    COMMENT '是否开启banner;0、关闭 1、开启' ,
    carousel_time INT(5)    COMMENT '轮播时间(s)' ,
    banner_path1 VARCHAR(100)    COMMENT '轮播图路径1' ,
    banner_path2 VARCHAR(100)    COMMENT '轮播图路径2' ,
    banner_path3 VARCHAR(100)    COMMENT '轮播图路径3' ,
    banner_path4 VARCHAR(100)    COMMENT '轮播图路径4' ,
    banner_path5 VARCHAR(100)    COMMENT '轮播图路径5' ,
    link_type1 INT(1)    COMMENT '链接类型1;1、内链 2、外链' ,
    link_type2 INT(1)    COMMENT '链接类型2;1、内链 2、外链' ,
    link_type3 INT(1)    COMMENT '链接类型3;1、内链 2、外链' ,
    link_type4 INT(1)    COMMENT '链接类型4;1、内链 2、外链' ,
    link_type5 INT(1)    COMMENT '链接类型5;1、内链 2、外链' ,
    link_url1 VARCHAR(255)    COMMENT '链接地址1' ,
    link_url3 VARCHAR(255)    COMMENT '链接地址3' ,
    link_url4 VARCHAR(255)    COMMENT '链接地址4' ,
    link_url5 VARCHAR(255)    COMMENT '链接地址4' ,
    link_url2 VARCHAR(255)    COMMENT '链接地址2' ,
    create_by VARCHAR(64)    COMMENT '创建者' ,
    create_time DATETIME    COMMENT '创建时间' ,
    update_by VARCHAR(64)    COMMENT '更新者' ,
    update_time DATETIME    COMMENT '更新时间' ,
    PRIMARY KEY (id)
)  COMMENT = '移动端_banner图配置表';
/*------end 03月31号 郭恩洲 新创建表 sys_mobile_banner*/

/*------begin 05月07号 韩正义 新创建表 mce_content、mce_receive、mce_setting*/
DROP TABLE IF EXISTS mce_content;
CREATE TABLE `mce_content` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `info_title` varchar(200) DEFAULT NULL COMMENT '消息标题',
  `info_content` varchar(255) DEFAULT NULL COMMENT '消息内容',
  `info_type` varchar(100) DEFAULT NULL COMMENT '消息类型',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户号',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='消息内容表';

CREATE TABLE `mce_receive` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `receiver_id` int(11) DEFAULT NULL COMMENT '接收人ID',
  `receiver_name` varchar(30) DEFAULT NULL COMMENT '接收人',
  `info_type` varchar(100) DEFAULT NULL COMMENT '消息类型',
  `read_flag` int(1) DEFAULT NULL COMMENT '是否已读;0、未读，1、已读',
  `content_id` int(11) DEFAULT NULL COMMENT '消息内容ID',
  `module_id` int(11) DEFAULT NULL COMMENT '子模块记录ID',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户号',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='消息接收表';

CREATE TABLE `mce_setting` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `app_mode` varchar(500) DEFAULT NULL COMMENT 'APP通知方式',
  `pc_mode` varchar(500) DEFAULT NULL COMMENT 'PC端通知方式',
  `wc_mode` varchar(500) DEFAULT NULL COMMENT '微信端通知方式',
  `tenant_id` int(11) DEFAULT NULL COMMENT '租户号',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构ID',
  `create_by` varchar(25) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(25) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COMMENT='消息设置表';
/*------end 05月07号 韩正义 新创建表 mce_content、mce_receive、mce_setting*/